Subject: [Int-dir] Review - INT Dir review: draft-ietf-6tisch-architecture

From: "Bernie Volz (volz)" <[email-masked]>
Date: Tue, 2 Jun 2015 20:34:13 +0000

While only a partial review, these comments may still have some value to the ADs.

- Bernie

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of ????
Sent: Tuesday, June 02, 2015 2:23 PM
To: Bernie Volz (volz)
Cc: Christopher LILJENSTOLPE ([email-masked]); Sheng Jiang ([email-masked])
Subject: Re: Reviewer Request - [Int-dir] INT Dir review: draft-ietf-6tisch-architecture

At Mon, 1 Jun 2015 13:21:29 +0000,
"Bernie Volz (volz)" <[email-masked]> wrote:

> >> Give Sheng a few more days, and if I don't hear from him by Monday, I can assign you.
> >
> >Ah, okay.  In that case I'll just hold off until/unless I'm explicitly asked for a review.
>
> As Sheng didn't respond, be great if you could do the review!

I've gone through the draft, but (as I was afraid) I didn't seem to be able to provide very useful feedback.  Overall it's well written, but I'm not familiar with many of the background topics listed in the first paragraph of Section 2:

   Readers are expected to be familiar with all the terms and concepts
   that are discussed in "Neighbor Discovery for IP version 6"
   [RFC4861], "IPv6 over Low-Power Wireless Personal Area Networks
   (6LoWPANs): Overview, Assumptions, Problem Statement, and Goals"
   [RFC4919], Neighbor Discovery Optimization for Low-power and Lossy
   Networks [RFC6775] where the 6LoWPAN Router (6LR) and the 6LoWPAN
   Border Router (6LBR) are introduced, and "Multi-link Subnet Support
   in IPv6" [I-D.ietf-ipv6-multilink-subnets].

so I can't say with confidence if this document is technically sound.

The only section I'm relatively comfortable with is Section 6.4: it looked fine to me.  Beyond that my understanding of the draft is quite superficial.

I guess someone familiar with the topics listed above will need to review it.

--
JINMEI, Tatuya